org.apache.cassandra.io.util

## Interface FileDataInput

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, java.io.DataInput, DataInputPlus, RewindableDataInput

All Known Implementing Classes:
  EncryptedFileSegmentInputStream, FileSegmentInputStream, RandomAccessReader

    public interface FileDataInput
    extends RewindableDataInput, java.io.Closeable

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.io.util.DataInputPlus

`DataInputPlus.DataInputStreamPlus`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `bytesRemaining()`
`long` `getFilePointer()`
`java.lang.String` `getPath()`
`boolean` `isEOF()`
`void` `seek(long pos)`

### Methods inherited from interface org.apache.cassandra.io.util.RewindableDataInput

`bytesPastMark, mark, reset`

### Methods inherited from interface org.apache.cassandra.io.util.DataInputPlus

`readUnsignedVInt, readVInt, skipBytes, skipBytesFully`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### getPath

    java.lang.String getPath()

#### isEOF

    boolean isEOF()
           throws java.io.IOException

Throws:
  `java.io.IOException`

#### bytesRemaining

    long bytesRemaining()
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### seek

    void seek(long pos)
       throws java.io.IOException

Throws:
  `java.io.IOException`

#### getFilePointer

    long getFilePointer()